openapi: 3.1.0
info:
  title: 'Forward Networks: Current Version API'
  description: Get current API version information
  contact:
    email: support@forwardnetworks.com
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT
  version: ${apiVersion}
servers:
  - url: /
security:
  - api_token: []
tags:
  - name: Current Version
    description: Get current API version information
paths:
  /api/version:
    get:
      tags:
        - Current Version
      summary: Gets the API’s current version
      operationId: getApiVersionUsingGET
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiVersion'
components:
  schemas:
    ApiVersion:
      type: object
      properties:
        build:
          type: string
          examples:
            - ee9b380
        release:
          type: string
          examples:
            - 21.50.1-03
        version:
          type: string
          examples:
            - 21.50.1
  securitySchemes:
    api_token:
      type: http
      scheme: basic
